%global pypi_name piexif

Name:           python-%{pypi_name}
Version:        1.0.7
Release:        1%{?dist}
Summary:        Pure Python library to simplify exif manipulations with python.

License:        MIT
URL:            https://github.com/hMatoba/Piexif
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch

%global _description \
Very simple Python library to simplify exif manipulations that does \
not depend on other libraries.\
\
There are only just five functions:\
\
    load(filename)                 - Get exif data as dict.\
    dump(exif_dict)                - Get exif as bytes to save with JPEG.\
    insert(exif_bytes, filename)   - Insert exif into JPEG.\
    remove(filename)               - Remove exif from JPEG.\
    transplant(filename, filename) - Transplant exif from JPEG to JPEG.\

%description %{_description}


%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-pillow

%description -n python2-%{pypi_name} %{_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-pillow

%description -n python3-%{pypi_name} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/%{pypi_name}/
%{python2_sitelib}/%{pypi_name}-*.egg-info/

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info/


%changelog
* Tue Sep  6 2016 José Matos <jamatos@fedoraproject.org> - 1.0.7-1
- update to 1.0.7
- remove files need for tests since they have been included upstream

* Thu Sep  1 2016 José Matos <jamatos@fedoraproject.org> - 1.0.5-1
- Initial package.
